Subject: Re: [bug#73329] [PATCH 0/7] Add lsd utility

From: Efraim Flashner <[email-masked]>
Date: Mon, 21 Oct 2024 08:20:11 +0300

It looks good! I didn't realize it was your first time until I came back
to tell you I've applied it.

In terms of adjustments, I've adjusted the sources for lsd to not
require such a specific version of some of the dependencies, so I was
able to drop [email-masked] and [email-masked] and I was able to build
and install the shell completions, so I added those.

Thanks for your contribution! And sorry for taking a month to apply it.

I've applied it to the rust-team branch, which should be merged back
into master "soonish".

On Tue, Sep 17, 2024 at 09:58:22PM -0400, Jordan Moore wrote:
> This patchset adds the lsd utility to rust-apps, this is my first
> contribution to guix so please correct me if I made a mistake anywhere.
> 
> Jordan Moore (7):
>   gnu: Add rust-windows-0.43.
>   gnu: Add rust-term-grid-0.1.
>   gnu: Add rust-unicode-width-0.1.13.
>   gnu: Add rust-vsort-0.2.
>   gnu: Add rust-human-sort-0.2.
>   gnu: Add rust-clap-derive-4.3.
>   gnu: Add lsd.
> 
>  gnu/packages/crates-io.scm      | 166 ++++++++++++++++++++++++++++++++
>  gnu/packages/crates-windows.scm |  63 ++++++++++++
>  gnu/packages/rust-apps.scm      |  59 ++++++++++++
>  3 files changed, 288 insertions(+)
> 
> 
> base-commit: 4b7bb05c29d390fb095f7a96e83c54efa8379497
> -- 
> 2.44.2
> 
> 
> 

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted